//
// C Interface: goertzel
//
// Description: 
//
//
// Author: Miroslav Mraz <Mrazik@volny.cz>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include <stdio.h>
#include <math.h>

#include "../inc/filter.h"
/*----------------------------------------------------------------------------
 *  calc_coeffs
 *----------------------------------------------------------------------------
 */
int calc_coeff (float nfreq) {
  int   reval;
  float coeff;
  coeff  = 2.0f * 3.141592654f * nfreq;
  coeff  = 2.0f * cosf (coeff);
  // aby se to dalo počítat v int, tak to tady zvětšíme
  printf ("1:%f\n", coeff);
  coeff *= (float)(1UL << ISHIFT);
  printf ("2:%f\n", coeff);
  reval  = (int) coeff;
  return reval;
}
int main (void) {
  printf ("coef=%d\n", calc_coeff (216.6f/1000.0f));
  return 0;
}
