#ifndef ADCIRQ_H
#define ADCIRQ_H

#include "processdata.h"


class AdcIrq : public ProcessData {
  public:
    /// Konstruktor @param us Vzorkování v us.
    AdcIrq  (uint32_t us, uint32_t channel);
  protected:
    /// Obsluha přerušení.
    static void Irq (void);
  private:
    /// Třída nad HW musí mít právě jednu instanci.
    static AdcIrq*      instance;
};

#endif // ADCIRQ_H
