#ifndef PROCESSDATA_H
#define PROCESSDATA_H

#include <stdint.h>
/// Jednoduchá bázová třída pro další výpočty v přerušení.
class ProcessData {
  public:
    /// Konstruktor
    ProcessData () { next = 0; }
    /// Zřetězení ...
    virtual ProcessData & operator+= (ProcessData& p) {
      next = &p; return *this;
    }
    /// Vlastní pokračování výpočtu v uživatelské třídě.
    virtual void Compute (const uint16_t data) {
      if (next) next->Compute (data);
    }
  private:
    ProcessData* next;
};

#endif // PROCESSDATA_H
